Technical requirements

There are minimum technical requirements for the modules to function correctly:

  1. Operating systems - Windows 10.
  2. Browser - Internet Explorer 11, Microsoft EDGE, or Google Chrome.
    (Please note that Flash is not supported on Microsoft EDGE and Google Chrome. Hence, some older modules may not be able to display content clearly on Microsoft EDGE and Google Chrome browsers).
  3. Flash 6.0.47.0 and above.
  4. Browser pop-ups enabled.

If you still experience problems, please refer to the  FAQs  for troubleshooting assistance.

Need help?

Learn more

Comprehensive website

Stay connected